package detector;

import com.maxmind.geoip.Location;
import java.util.Date;

/**
 * @author Roman Tekhov
 */
public class Entry implements Comparable<Entry> {

	private String user;
	private Date date;
	private String host;

	private Location location;


	public Entry(String user, Date date, String host) {
		this.user = user;
		this.date = date;
		this.host = host;
	}

	public String getUser() {
		return user;
	}

	public Date getDate() {
		return date;
	}

	public String getHost() {
		return host;
	}

	public Location getLocation() {
    return location;
  }

  public void setLocation(Location location) {
    this.location = location;
  }



	@Override
	public String toString() {
		return "User - " + user +
				"; Date - " + date +
				"; Host - " + host + "\n"
				;
	}


	public int compareTo(Entry entry) {
		return date.compareTo(entry.date);
	}

}
