package detector;

import java.util.ArrayList;
import java.util.List;
import java.util.Locale;
import java.util.StringTokenizer;

/**
 * @author Roman Tekhov
 */
public class LogFormat {

	private String name;
	private String regExp;
	private String delimiter;
	private int partNumber;
	private int datePart;
	private int userPart;
	private int hostPart;
	private String dateFormat;
	private Locale dateLocale;
	private String startFromLine;
	private String stopAtLine;
	private List<String> ignore;

	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRegExp() {
		return regExp;
	}

	public void setRegExp(String regExp) {
		this.regExp = regExp;
	}
	
	public String getDelimiter() {
		return delimiter;
	}

	public void setDelimiter(String delimiter) {
		this.delimiter = delimiter;
	}

	public int getPartNumber() {
		return partNumber;
	}

	public void setPartNumber(int partNumber) {
		this.partNumber = partNumber;
	}

	public int getDatePart() {
		return datePart;
	}

	public void setDatePart(int datePart) {
		this.datePart = datePart;
	}

	public int getUserPart() {
		return userPart;
	}

	public void setUserPart(int userPart) {
		this.userPart = userPart;
	}

	public int getHostPart() {
		return hostPart;
	}

	public void setHostPart(int hostPart) {
		this.hostPart = hostPart;
	}
	
	public String getDateFormat() {
		return dateFormat;
	}

	public void setDateFormat(String dateFormat) {
		this.dateFormat = dateFormat;
	}

	public Locale getDateLocale() {
		return dateLocale;
	}

	public void setDateLocale(Locale dateLocale) {
		this.dateLocale = dateLocale;
	}

	public String getStartFromLine() {
		return startFromLine;
	}

	public void setStartFromLine(String startFromLine) {
		this.startFromLine = startFromLine;
	}

	public String getStopAtLine() {
		return stopAtLine;
	}

	public void setStopAtLine(String stopAtLine) {
		this.stopAtLine = stopAtLine;
	}

	
	public void setIgnore(String ignore) {
		if (ignore != null) {
			StringTokenizer st = new StringTokenizer(ignore, ", ");
			
			this.ignore = new ArrayList<String>();
			
			while (st.hasMoreTokens()) {
				this.ignore.add(st.nextToken());
			}
		}
	}

	public boolean mustIgnore(String user) {
		return ignore != null && ignore.contains(user);
	}
}
